---
# .readthedocs.yml
# Read the Docs configuration file
# See https://docs.readthedocs.io/en/stable/config-file/v2.html for details

# Required
version: 2

# Build documentation in the docs/ directory with Sphinx
sphinx:
  configuration: docs/src/conf.py

build:
  os: "ubuntu-22.04"
  tools:
    python: "3.10"
  jobs:
    # https://docs.readthedocs.io/en/stable/build-customization.html#install-dependencies-with-poetry
    post_create_environment:
      - pip install poetry
      - poetry config virtualenvs.create false
    post_install:
      - poetry install --no-root --only docs
